org.eclipse.ease.debugging

## Class ScriptDebugStackFrame

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.debug.core.model.DebugElement
    - - org.eclipse.ease.debugging.ScriptDebugElement
      - - org.eclipse.ease.debugging.ScriptDebugStackFrame

All Implemented Interfaces:
  IAdaptable, IDebugElement, IDisconnect, IStackFrame, IStep, ISuspendResume, ITerminate

    public class ScriptDebugStackFrame
    extends ScriptDebugElement
    implements IStackFrame

### Constructor Summary

Constructors
Constructor and Description
`ScriptDebugStackFrame(ScriptDebugThread thread, IScriptDebugFrame debugFrame)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCharEnd()`
`int` `getCharStart()`
`IScriptDebugFrame` `getDebugFrame()`
`int` `getLineNumber()`
`String` `getName()`
`IRegisterGroup[]` `getRegisterGroups()`
`Script` `getScript()`
`IThread` `getThread()`
`IVariable[]` `getVariables()`
`IVariable[]` `getVariables(Object value)` Get child variables from a given script variable.
`boolean` `hasRegisterGroups()`
`boolean` `hasVariables()`
`boolean` `isStepping()`
`boolean` `isSuspended()`
`boolean` `isTerminated()`
`void` `setDirty()`

### Methods inherited from class org.eclipse.ease.debugging.ScriptDebugElement

`canDisconnect, canResume, canStepInto, canStepOver, canStepReturn, canSuspend, canTerminate, disconnect, getDebugTarget, getModelIdentifier, isDisconnected, resume, stepInto, stepOver, stepReturn, suspend, terminate`

### Methods inherited from class org.eclipse.debug.core.model.DebugElement

`fireChangeEvent, fireCreationEvent, fireEvent, fireResumeEvent, fireSuspendEvent, fireTerminateEvent, getAdapter, getLaunch`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.core.model.IDebugElement

`getDebugTarget, getLaunch, getModelIdentifier`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.debug.core.model.IStep

`canStepInto, canStepOver, canStepReturn, stepInto, stepOver, stepReturn`

### Methods inherited from interface org.eclipse.debug.core.model.ISuspendResume

`canResume, canSuspend, resume, suspend`

### Methods inherited from interface org.eclipse.debug.core.model.ITerminate

`canTerminate, terminate`

### Constructor Detail

#### ScriptDebugStackFrame

    public ScriptDebugStackFrame(ScriptDebugThread thread,
                                 IScriptDebugFrame debugFrame)

### Method Detail

#### getThread

    public IThread getThread()

Specified by:
  `getThread` in interface `IStackFrame`

#### getVariables

    public IVariable[] getVariables()
                             throws DebugException

Specified by:
  `getVariables` in interface `IStackFrame`
Throws:
  `DebugException`

#### getVariables

    public IVariable[] getVariables(Object value)

Get child variables from a given script variable.

Parameters:
  `value` - parent to retrieve children from
Returns:
  child variables or `null`

#### hasVariables

    public boolean hasVariables()
                         throws DebugException

Specified by:
  `hasVariables` in interface `IStackFrame`
Throws:
  `DebugException`

#### getLineNumber

    public int getLineNumber()
                      throws DebugException

Specified by:
  `getLineNumber` in interface `IStackFrame`
Throws:
  `DebugException`

#### getCharStart

    public int getCharStart()
                     throws DebugException

Specified by:
  `getCharStart` in interface `IStackFrame`
Throws:
  `DebugException`

#### getCharEnd

    public int getCharEnd()
                   throws DebugException

Specified by:
  `getCharEnd` in interface `IStackFrame`
Throws:
  `DebugException`

#### getName

    public String getName()
                   throws DebugException

Specified by:
  `getName` in interface `IStackFrame`
Throws:
  `DebugException`

#### getRegisterGroups

    public IRegisterGroup[] getRegisterGroups()
                                       throws DebugException

Specified by:
  `getRegisterGroups` in interface `IStackFrame`
Throws:
  `DebugException`

#### hasRegisterGroups

    public boolean hasRegisterGroups()
                              throws DebugException

Specified by:
  `hasRegisterGroups` in interface `IStackFrame`
Throws:
  `DebugException`

#### isTerminated

    public boolean isTerminated()

Specified by:
  `isTerminated` in interface `ITerminate`

#### isSuspended

    public boolean isSuspended()

Specified by:
  `isSuspended` in interface `ISuspendResume`

#### isStepping

    public boolean isStepping()

Specified by:
  `isStepping` in interface `IStep`

#### getScript

    public Script getScript()

#### getDebugFrame

    public IScriptDebugFrame getDebugFrame()

#### setDirty

    public void setDirty()